// creator  : weidu.exe (version 23600)
// argument : FAMIL1.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~FAMIL1~

IF ~  !InPartySlot(LastTalkedToBy,0)
~ THEN BEGIN 0 // from:
  SAY #31526 /* ~The small dragon-like creature purrs quizzically with wide eyes. Nervously it backs away towards <CHARNAME>. Obviously it doesn't want to talk to you.~ */
  IF ~~ THEN DO ~MoveToObject(Player1)
~ EXIT
END

IF ~  InPartySlot(LastTalkedToBy,0)
~ THEN BEGIN 1 // from:
  SAY #31527 /* ~The small dragon-like creature flutters its wings happily, looking at you with almost kaleidoscopic eyes. "You wish something?" It awaits your attention, tail flicking.~ */
  IF ~  !InventoryFull(Player1)
OR(2)
Alignment(Player1,MASK_LAWFUL)
Alignment(Player1,MASK_LCNEUTRAL)
~ THEN REPLY #31528 /* ~Come here. I want to pick you up and put you in my pack where it's a bit safer.~ */ GOTO 2
  IF ~~ THEN REPLY #31529 /* ~*pet and play with it*~ */ GOTO 3
  IF ~~ THEN REPLY #31530 /* ~How are you? Everything okay down there?~ */ GOTO 4
  IF ~~ THEN REPLY #31531 /* ~No, it's all right. Let's just keep going.~ */ GOTO 11
  IF ~  !InventoryFull(Player1)
Alignment(Player1,MASK_CHAOTIC)
~ THEN REPLY #31532 /* ~Come here. I want to pick you up and put you in my pack where it's a bit safer.~ */ GOTO 12
END

IF ~~ THEN BEGIN 2 // from: 3.0 1.0
  SAY #31533 /* ~Its eyes brighten, and it practically leaps into your arms, ready to be stowed amongst your belongings where it can sleep and occasionally poke its head out.~ */
  IF ~~ THEN DO ~GivePartyAllEquipment()
GiveItemCreate("FAMPSD",Player1,0,0,0)
DestroySelf()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #31534 /* ~The dragon coos with delight, its multicolored eyes whirling as you pat its warm, leathery hide. "You are very kind to me, my <PRO_LADYLORD>," it purrs.~ */
  IF ~  !InventoryFull(Player1)
OR(2)
Alignment(Player1,MASK_LAWFUL)
Alignment(Player1,MASK_LCNEUTRAL)
~ THEN REPLY #31535 /* ~Come here. I want to pick you up and put you in my pack where it's a bit safer.~ */ GOTO 2
  IF ~~ THEN REPLY #31536 /* ~How are you? Everything okay down there?~ */ GOTO 4
  IF ~~ THEN REPLY #31537 /* ~Let's just keep going, then.~ */ GOTO 11
  IF ~  !InventoryFull(Player1)
Alignment(Player1,MASK_CHAOTIC)
~ THEN REPLY #31538 /* ~Come here. I want to pick you up and put you in my pack where it's a bit safer.~ */ GOTO 12
END

IF ~~ THEN BEGIN 4 // from: 3.1 1.2
  SAY #31539 /* ~The dragon flicks its tail with pleasure and gazes up at you with colorful eyes. "So long as you are well, my <PRO_LADYLORD>, then I am well."~ */
  IF ~  HPPercentLT(Myself,65)
!HPPercentLT(Myself,35)
~ THEN GOTO 6
  IF ~  HPPercentLT(Myself,35)
~ THEN GOTO 7
  IF ~  !HPPercentLT(Myself,65)
RandomNum(4,1)
~ THEN GOTO 5
  IF ~  !HPPercentLT(Myself,65)
RandomNum(4,2)
~ THEN GOTO 8
  IF ~  !HPPercentLT(Myself,65)
RandomNum(4,3)
~ THEN GOTO 9
  IF ~  !HPPercentLT(Myself,65)
RandomNum(4,4)
~ THEN GOTO 10
END

IF ~~ THEN BEGIN 5 // from: 4.2
  SAY #31540 /* ~"But since you are asking, I could use a snack. Perhaps a nice gopher. Or some pie... ooooh, yes, I *like* pie!"~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: 4.0
  SAY #31541 /* ~"I... I am a little hurt, though, my <PRO_LADYLORD>. The cuts sting, and I am bleeding. It... it is not pleasant."~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from: 4.1
  SAY #31542 /* ~"I... I am hurt badly, my <PRO_LADYLORD>. I don't want to die, my <PRO_LADYLORD>. I want to stay with you." The dragon whimpers a little and curls its tail around your leg.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 8 // from: 4.3
  SAY #31543 /* ~"I do like traveling with you. Very much, my <PRO_LADYLORD>. Do you have an apple? I could roast the apple a little and then eat it down. Apples are good!"~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from: 4.4
  SAY #31544 /* ~"I am amazed at all the new places I see with you. Everything is so wonderful and so colorful! Is all of the world like this, my <PRO_LADYLORD>?"~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 10 // from: 4.5
  SAY #31545 /* ~"I feel wonderful myself, my <PRO_LADYLORD>. My hide is clean, and I stand ready to aid you against danger!"~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 11 // from: 3.2 1.3
  SAY #31546 /* ~The dragon flicks its tail contentedly and then turns its eyes back to the path before you. "As you wish, my <PRO_LADYLORD>."~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 12 // from: 3.3 1.4
  SAY #31546 /* ~The dragon flicks its tail contentedly and then turns its eyes back to the path before you. "As you wish, my <PRO_LADYLORD>."~ */
  IF ~~ THEN DO ~GivePartyAllEquipment()
GiveItemCreate("FAMFAIR",Player1,0,0,0)
DestroySelf()
~ EXIT
END
